Bug 822754 (CVE-2012-2372)

Summary: CVE-2012-2372 kernel: rds-ping cause kernel panic
Product: [Other] Security Response Reporter: Eugene Teo (Security Response) <eteo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, arozansk, dhoward, fenlason, fhrbata, kernel-mgr, lwang, plougher, pmatouse, security-response-team, sforsber
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120605,reported=20120518,source=redhat,cvss2=4.9/AV:L/AC:L/Au:N/C:N/I:N/A:C,rhel-4/kernel=wontfix,rhel-5/kernel=affected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-08 16:07:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 803936, 822755, 822756, 822757, 833683    
Bug Blocks: 822747    

Description Eugene Teo (Security Response) 2012-05-18 00:22:02 EDT
Reported by Li Honggang (internal):
Attempting an rds connection from the IP address of an IPoIB interface to itself causes a kernel panic due to a BUG_ON() being triggered.  Making the test less strict allows rds-ping to work without crashing the machine.

A local unprivileged user could use this flaw to crash the sytem.
Comment 4 Petr Matousek 2012-06-05 14:04:54 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux MRG. Future kernel updates for Red Hat Enterprise Linux 5 and 6 may address this issue.
Comment 5 errata-xmlrpc 2012-06-18 09:35:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html
Comment 6 Murray McAllister 2012-12-03 22:59:47 EST
Acknowledgements:

This issue was discovered by Li Honggang of Red Hat.
Comment 7 errata-xmlrpc 2012-12-04 15:53:12 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1540 https://rhn.redhat.com/errata/RHSA-2012-1540.html